MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002748VCMIGUI - Battlespublic2017-07-24 21:502019-03-24 12:42
Reporterhkoehler 
Assigned ToDydzio 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.99 
Target VersionFixed in Version0.next 
Summary0002748: Click on adventure map interpreted as battle command
DescriptionWhen you click on the adventure map to attack something, the click is also interpreted as a click on the battle-map popup, causing your first creature stack to move accordingly and waste their turn (assuming you start).
Steps To ReproduceOn the adventure map, click on an enemy stack without releasing the mouse button. Once the battle map is open and you are able to act, release the mouse button - your selected creature should move to your mouse position.
Additional InformationIt looks like the issue is with mouse-up getting interpreted as a click event. Mouse-down on the adventure map starts your hero moving and opens the battle-screen, then mouse-up moves your creature. Happens naturally if the target of your attack is very close and/or you simply click rather slow.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0007192)
Dydzio (developer)
2017-08-01 14:08

Proper fix would be to implement battle start as in OH3 with action starting and responding to clicks after battle intro music stops playing
(0007773)
Dydzio (developer)
2019-03-23 11:56

Fixed in: https://github.com/vcmi/vcmi/pull/562 [^]

Performing battle actions is disabled during initial battle window state with this code.

- Issue History
Date Modified Username Field Change
2017-07-24 21:50 hkoehler New Issue
2017-08-01 14:08 Dydzio Note Added: 0007192
2019-03-23 11:54 Dydzio Assigned To => Dydzio
2019-03-23 11:54 Dydzio Status new => assigned
2019-03-23 11:56 Dydzio Note Added: 0007773
2019-03-24 12:42 Dydzio Status assigned => resolved
2019-03-24 12:42 Dydzio Fixed in Version => 0.next
2019-03-24 12:42 Dydzio Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2019 MantisBT Team
Hosting provided by DigitalOcean